# Class: AnnotationGroup

## annotation.AnnotationGroup(options)

Annotation Group. Describes an item of the Annotation Group Sequence of a DICOM Microscopy Bulk Simple Annotations instance.

## Constructor

#### new AnnotationGroup(options)

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | Object | Options ###### Properties
Name | Type | Description
--- | --- | ---
`uid` | string | Annotation Group UID
`number` | number | Annotation Group Number (one-based index value)
`label` | string | Annotation Group Label
`algorithmName` | string | Annotation Group Algorithm Name
`algorithmType` | Object | Annotation Group Algorithm Type
`propertyCategory` | Object | Annotation Property Category Code
`propertyType` | Object | Annotation Property Type Code
`studyInstanceUID` | string | Study Instance UID of Annotation instances
`seriesInstanceUID` | string | Series Instance UID of Annotation instances
`sopInstanceUIDs` | Array.<string> | SOP Instance UIDs of Annotation instances

Source:
  - annotation.js, line 17

### Members

#### algorithmName :string

Annotation Group Algorithm Identification

##### Type:

- string

Source:
  - annotation.js, line 129

#### algorithmType :Object

Annotation Group Generation Type

##### Type:

- Object

Source:
  - annotation.js, line 138

#### label :string

Annotation Group Label

##### Type:

- string

Source:
  - annotation.js, line 120

#### number :number

Annotation Group Number.

##### Type:

- number

Source:
  - annotation.js, line 111

#### propertyCategory :Object

Annotation Property Category

##### Type:

- Object

Source:
  - annotation.js, line 147

#### propertyType :Object

Annotation Property Type

##### Type:

- Object

Source:
  - annotation.js, line 156

#### seriesInstanceUID :string

Series Instance UID of DICOM Microscopy Bulk Simple Annotations objects.

##### Type:

- string

Source:
  - annotation.js, line 174

#### sopInstanceUIDs :Array.<string>

SOP Instance UIDs of DICOM Microscopy Bulk Simple Annotations objects.

##### Type:

- Array.<string>

Source:
  - annotation.js, line 183

#### studyInstanceUID :string

Study Instance UID of DICOM Microscopy Bulk Simple Annotations objects.

##### Type:

- string

Source:
  - annotation.js, line 165

#### uid :string

Annotation Group UID

##### Type:

- string

Source:
  - annotation.js, line 102